//tag规则 release-v188.20.* 同步峰擎商标到es
const TaskBase = require("../../task.base");
const system = require("../../../system");
var settings = require("../../../../config/settings");
class Fqtm2es extends TaskBase {
    constructor() {
        super(TaskBase.getServiceName(Fqtm2es));
        this.restclient = system.getObject("util.restClient");
    }
    async beforeTask(params) {
        console.log("前置操作......", this.serviceName);
    }
    async subDoTask() {
        console.log("--------------");
        console.log("TestTask1.....");
        var obj = {
        }
        try {
            var url = settings.fqbossUrl() + "api/trademark/tradeMarkSync";
            var rtn = await this.restclient.execPost(obj, url);
            console.log(rtn);
            return rtn;
        } catch (error) {
            console.log(error);
            return null;
        }
    }
}
module.exports = Fqtm2es;